Export distributors to CSV or PDF format with applied filters (max 10,000 distributors)
Query parameters
-
Export format (csv or pdf)
Values are
csvorpdf. -
Search term. For organizations (distributors, resellers, customers), searches across name, description, and all custom_data fields (vat, address, city, contact, email, phone, language, notes, etc.). For systems, also searches across ipv4_address and ipv6_address.
Minimum length is
1. -
Field to sort distributors by
Values are
name,description,created_at,updated_at, orsuspended_at. -
Sort direction
Values are
ascordesc. Default value isasc.
GET
/distributors/export
curl \
--request GET 'https://collect.your-domain.com/api/distributors/export?format=csv' \
--header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (400)
{
"code": 400,
"message": "validation failed",
"data": {
"type": "validation_error",
"errors": [
{
"key": "username",
"message": "required",
"value": "string"
}
]
}
}
Response examples (401)
{
"code": 401,
"message": "invalid token",
"data": {}
}
Response examples (403)
{
"code": 403,
"message": "insufficient permissions",
"data": {}
}